Debian Bug report logs - #311610
split libgmp3 into two packages

version graph

Package: libgmp3; Maintainer for libgmp3 is (unknown);

Reported by: Matthias Klose <doko@cs.tu-berlin.de>

Date: Thu, 2 Jun 2005 07:48:11 UTC

Severity: normal

Tags: etch, sid

Found in version 4.1.4-6

Fixed in version gmp/4.1.4-7

Done: smr@debian.org (Steve M. Robbins)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, smr@debian.org (Steve M. Robbins):
Bug#311610; Package libgmp3. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
New Bug report received and forwarded. Copy sent to smr@debian.org (Steve M. Robbins). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: submit@bugs.debian.org
Subject: split libgmp3 into two packages
Date: Thu, 2 Jun 2005 09:43:45 +0200
Package: libgmp3
Tags: etch, sid

With the planned/necessary C++ ABI change all C++ library packages
have to be renamed (or upgraded to a new upstream version with a new
package name). libgmp3 currently contains the gmp library and the C++
bindings in another library. 93 depending packages have to be rebuilt,
although only a minor part of them uses the C++ bindings. We have to
rename this library this time, but we should separate the C++ bindings
in it's own package, so that for the next C++ ABI change (if there is
one again), not all 93 packages need to be rebuilt. An alternative to
the renaming might be to explictly conflict with the versions of all
depending packages, which need the C++ bindings, but you'll have to
find out that dependency.



Reply sent to smr@debian.org (Steve M. Robbins):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@cs.tu-berlin.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 311610-close@bugs.debian.org (full text, mbox):

From: smr@debian.org (Steve M. Robbins)
To: 311610-close@bugs.debian.org
Subject: Bug#311610: fixed in gmp 4.1.4-7
Date: Sat, 09 Jul 2005 11:56:12 -0400
Source: gmp
Source-Version: 4.1.4-7

We believe that the bug you reported is fixed in the latest version of
gmp, which is due to be installed in the Debian FTP archive:

gmp_4.1.4-7.diff.gz
  to pool/main/g/gmp/gmp_4.1.4-7.diff.gz
gmp_4.1.4-7.dsc
  to pool/main/g/gmp/gmp_4.1.4-7.dsc
libgmp3-dev_4.1.4-7_i386.deb
  to pool/main/g/gmp/libgmp3-dev_4.1.4-7_i386.deb
libgmp3-doc_4.1.4-7_all.deb
  to pool/main/g/gmp/libgmp3-doc_4.1.4-7_all.deb
libgmp3c2_4.1.4-7_i386.deb
  to pool/main/g/gmp/libgmp3c2_4.1.4-7_i386.deb
libgmpxx3_4.1.4-7_i386.deb
  to pool/main/g/gmp/libgmpxx3_4.1.4-7_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 311610@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve M. Robbins <smr@debian.org> (supplier of updated gmp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  8 Jul 2005 23:38:22 -0400
Source: gmp
Binary: libgmp3-dev libgmpxx3 libgmp3-doc libgmp3c2
Architecture: source all i386
Version: 4.1.4-7
Distribution: unstable
Urgency: low
Maintainer: Steve M. Robbins <smr@debian.org>
Changed-By: Steve M. Robbins <smr@debian.org>
Description: 
 libgmp3-dev - Multiprecision arithmetic library developers tools
 libgmp3-doc - Multiprecision arithmetic library documentation and examples
 libgmp3c2  - Multiprecision arithmetic library
 libgmpxx3  - Multiprecision arithmetic library (C++ bindings)
Closes: 311610
Changes: 
 gmp (4.1.4-7) unstable; urgency=low
 .
   * CXX transition (thanks to Matthias Klose for patches):
     - Split out the C++ library into package libgmp3xx.  Closes: #311610.
     - Rename libgmp3 to libgmp3c2, otherwise packages relying on the C++
       library in libgmp3 will break.
Files: 
 ce28cb27ba36ed0af0577fe3f85d124a 647 libs optional gmp_4.1.4-7.dsc
 697a41769b41bc72163d38be13d794ac 56072 libs optional gmp_4.1.4-7.diff.gz
 4424982e0f5613f0a55fb1aedfe5f050 415036 doc optional libgmp3-doc_4.1.4-7_all.deb
 c2e78472f9c0d26381b5924436ec2590 316080 libs optional libgmp3c2_4.1.4-7_i386.deb
 e2ddced31b64d18d70a3b9d4c7aeb45a 170696 libs optional libgmpxx3_4.1.4-7_i386.deb
 a571b30935bc9bdb5b85df3fd5a22f1c 429130 libdevel optional libgmp3-dev_4.1.4-7_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFCz3bM0i2bPSHbMcURAjRaAJ9+4rxBJAtmpw1JVBNZXlg6rBpG3wCfSv1x
Iy1zojTuIB/CPX4ka1dM5GM=
=K90w
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, smr@debian.org (Steve M. Robbins):
Bug#311610; Package libgmp3. Full text and rfc822 format available.

Acknowledgement sent to "Nickolay S. Savchenko" <rust@voliacable.com>:
Extra info received and forwarded to list. Copy sent to smr@debian.org (Steve M. Robbins). Full text and rfc822 format available.

Message #15 received at 311610@bugs.debian.org (full text, mbox):

From: "Nickolay S. Savchenko" <rust@voliacable.com>
To: Debian Bug Tracking System <311610@bugs.debian.org>
Subject: Packages, that depend on libgmp3 cannot be installed after libgmp3's split
Date: Wed, 13 Jul 2005 22:33:31 +0300
Package: libgmp3
Version: 4.1.4-6
Followup-For: Bug #311610

Subj. For example

------
nsav vatutin:~ [1452:100]% LANG=C apt-install maxima
Reading package lists... Done
Building dependency tree... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.

Since you only requested a single operation it is extremely likely that
the package is simply not installable and a bug report against
that package should be filed.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  maxima: Depends: libgmp3 but it is not installable
E: Broken packages
------

The same result you can observe if you install axiom, rep, ghc6 and others.

I'm not familiar with Debian policies, but I think that maintainers of packages,
that depend on libgmp3 should be informed, that they need to change their package's
dependencies.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.11-1-686
Locale: LANG=ru_RU.KOI8-R, LC_CTYPE=ru_RU.KOI8-R (charmap=KOI8-R)

Versions of packages libgmp3 depends on:
ii  libc6                       2.3.2.ds1-22 GNU C Library: Shared libraries an
ii  libgcc1                     1:4.0.0-12   GCC support library
ii  libstdc++5                  1:3.3.6-7    The GNU Standard C++ Library v3

libgmp3 recommends no packages.



Information forwarded to debian-bugs-dist@lists.debian.org, smr@debian.org (Steve M. Robbins):
Bug#311610; Package libgmp3. Full text and rfc822 format available.

Acknowledgement sent to Laurent Fousse <laurent@komite.net>:
Extra info received and forwarded to list. Copy sent to smr@debian.org (Steve M. Robbins). Full text and rfc822 format available.

Message #20 received at 311610@bugs.debian.org (full text, mbox):

From: Laurent Fousse <laurent@komite.net>
To: "Nickolay S. Savchenko" <rust@voliacable.com>, 311610@bugs.debian.org
Subject: Re: Bug#311610: Packages, that depend on libgmp3 cannot be installed after libgmp3's split
Date: Thu, 14 Jul 2005 10:15:56 +0200
[Message part 1 (text/plain, inline)]
Hi,

* Nickolay S. Savchenko [Wed, Jul 13, 2005 at 10:33:31PM +0300]:
> I'm not familiar with Debian policies, but I think that maintainers
> of packages, that depend on libgmp3 should be informed, that they
> need to change their package's dependencies.

Packages that build-depend on libgmp3-dev merely need a rebuild.
[signature.asc (application/pgp-signature, inline)]

Message #21 received at 311610-done@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steven.robbins@videotron.ca>
To: "Nickolay S. Savchenko" <rust@voliacable.com>, 311610-done@bugs.debian.org
Subject: Re: Bug#311610: Packages, that depend on libgmp3 cannot be installed after libgmp3's split
Date: Thu, 14 Jul 2005 23:26:16 -0400
On Wed, Jul 13, 2005 at 10:33:31PM +0300, Nickolay S. Savchenko wrote:

> The same result you can observe if you install axiom, rep, ghc6 and others.

As Laurent observed: they simply need to be recompiled.  There is no
bug in gmp, so I'm closing this.


> I'm not familiar with Debian policies, but I think that maintainers
> of packages, that depend on libgmp3 should be informed, that they
> need to change their package's dependencies.

They should be aware; transition details are posted here:

http://lists.debian.org/debian-devel-announce/2005/07/msg00001.html

Cheers,
-Steve



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 13:41:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:20:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.